Subject: bug#10600: 24.0.92; `describe-char': text properties and [Show]

From: "Drew Adams" <[email-masked]>
Date: Sat, 28 Jan 2012 21:04:58 -0800

Just try the code (essentially a patch) I pointed you to.

It DTRT, IMO, deciding whether to use `[Show]' or the button's real text based
on the maximum line length up to that point.  IOW, the longest line (which is
typically the font name) determines the buffer width.  And given knowledge of
that width, full button text or `[Show]' is used accordingly.

http://www.emacswiki.org/emacs/download/descr-text%2b.el.